Get details of all icons
GET /api
Response
200 — The requested list of Icons
iconsarray of objecticonHeightintegericonPathstringiconWidthintegeridstringlabelstringsearchTermsarray of string
Example Response
{
"icons": [
{
"iconHeight": 0,
"iconPath": "string",
"iconWidth": 0,
"id": "string",
"label": "string",
"searchTerms": [
"string"
]
}
]
}Get all icon categories and icon IDs contained in each category
GET /api
Response
200 — The requested Icon Categories
categoriesobject
Example Response
{
"categories": {
"additionalProp1": [
"string"
],
"additionalProp2": [
"string"
],
"additionalProp3": [
"string"
]
}
}Modify the logo of a Space to be a specified icon
POST /api
Path Parameters
spaceIdstring (required)
The ID of the Space to change logo for. Example: ‘Space-1’.
Request Body
IconColorstring (required)
Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match^#.[0-9a-fA-F]{6}$ IconIdstring (required)
ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.SpaceIdstring (required)
The ID of the Space to change logo for. Example: ‘Space-1’.
Response
200 — Confirmation that the Space Icon has been modified
Example Request
{
"IconColor": "string",
"IconId": "string",
"SpaceId": "Spaces-1"
}Example Response
{}Modify the logo of a project to be a specified icon
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)
The ID of the project to change logo for. Example: ‘Projects-1’.spaceIdstring (required)
The ID of the space containing the resource(s).
Request Body
IconColorstring (required)
Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match^#.[0-9a-fA-F]{6}$ IconIdstring (required)
ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.ProjectIdstring (required)
The ID of the project to change logo for. Example: ‘Projects-1’.SpaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Confirmation that the Project Icon has been modified
Example Request
{
"IconColor": "string",
"IconId": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Example Response
{}Modify the logo of a tenant to be a specified icon
POST /api
Also reachable at /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).tenantIdstring (required)
The ID of the tenant to change logo for. Example: ‘Tenants-1’.
Request Body
IconColorstring (required)
Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match^#.[0-9a-fA-F]{6}$ IconIdstring (required)
ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.SpaceIdstring (required)
The ID of the space containing the resource(s).TenantIdstring (required)
The ID of the tenant to change logo for. Example: ‘Tenants-1’.
Response
200 — Confirmation that the Tenant Icon has been modified
Example Request
{
"IconColor": "string",
"IconId": "string",
"SpaceId": "Spaces-1",
"TenantId": "Tenants-1"
}Example Response
{}